Skip to main content
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
public_key
TypeScript
const response: Promise<FireblocksResponse<TRLinkPublicKeyResponse>> = fireblocks.tRLink.getTRLinkIntegrationPublicKey(tRLinkApiGetTRLinkIntegrationPublicKeyRequest);
CompletableFuture<ApiResponse<TRLinkPublicKeyResponse>> response = fireblocks.tRLink().getTRLinkIntegrationPublicKey(customerIntegrationId);
response = fireblocks.t_r_link.get_t_r_link_integration_public_key(customer_integration_id);
curl --request GET \
  --url https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}/public_key
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}/public_key', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "issuer": "notabene",
  "publicKey": {
    "kty": "RSA",
    "e": "AQAB",
    "use": "enc",
    "kid": "key-12345",
    "n": "xGOr-H7A..."
  }
}
{
  "message": "<string>",
  "code": 123
}

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

Response

Public key retrieved successfully

issuer
string
required

Partner issuer identifier

Example:

"notabene"

publicKey
object
required

JSON Web Key (JWK) format public key